Subject: Re: [69ATTENDEES] DHCP

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Mon, 01 Oct 2007 17:07:10 +0900

At Fri, 28 Sep 2007 11:38:59 -0700,
Bob Hinden <[email-masked]> wrote:

> > This is probably an off-topic in this thread (or perhaps for this list
> > in the first place), but just out of curiosity...was the "opposition"
> > of the IPv6 designers the main reason that it took 8 years to complete
> > the DHCPv6 spec?  I didn't even know there was an opposition from the
> > "IPv6 designers" to defining the DHCPv6 protocol.  I recall there was
> > a discussion about whether to mandate implementing DHCPv6 on an IPv6
> > host (and as a result RFC4294 uses a MAY in section 4.5.5), but I
> > don't remember an argument that resisted defining the protocol.
> 
> I think I can claim to be one of the "IPv6 designers".
> 
> My point of view on this is that there was never an opposition to  
> DHCPv6 as described above.  DHCPv6 was always part of the IPv6 plan  
> because we understood that there were going to be environments where  
> it would be important.  For example large enterprises.  There was not  
> any organized effort to delay DHCPv6.  As far as I understand the  
> delay to move DHCPv6 forward was related to activities in the DHC  
> w.g.  I have never been very active in the DHC w.g.

[snip]

> I don't understand how this has been turned into the IPv6 designers  
> delaying DHCPv6 for 8 years.  DHCPv6 is an important part of IPv6.

Thanks for the clarification.  That actually matches my understanding
of the history.

> Where there is a disagreement is should DHCPv6 be the only way to  
> deliver certain types of information to hosts.  For example the  
> effort to try to standardize other mechanisms to deliver DNS  
> recursive server information.  But this was not about being against  
> DHCPv6.

Indeed, and I think this is exactly the point of what we're seeing
now.  That is, the point is

- should RA be the only way to deliver default router address /
  on-link prefix information

just like the previous discussion of

- should DHCPv6 be the only way to deliver the recursive DNS server
  addresses

Opinions may vary on these points as we are seeing, but I don't think
it's a matter of "DHCPv6 lovers" vs "DHCPv6 haters".

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]